qtiplot (0.9.8.9-14) unstable; urgency=medium

  * [771d41e] Add missing header after gsl2-migration.

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Dec 2015 22:37:20 +0100

qtiplot (0.9.8.9-13) unstable; urgency=medium

  * [5aafbcc] Update build dependencies for GSL 2, change libgsl0-dev
              to libgsl-dev. (Closes: #805841)

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Dec 2015 18:50:39 +0100

qtiplot (0.9.8.9-12) unstable; urgency=medium

  * [fb1558f] Disable auto_test during -indep-build.
  * [1ea713a] Update d/copyright. Fix warning.
  * [a1dbeb6] Remove get_orig (not functional).

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Dec 2015 08:04:40 +0100

qtiplot (0.9.8.9-11) unstable; urgency=medium

  [ Damir Islamov ]
  * [846688b] Fix compilation with GSL2. (Closes: #805841)

  [ Mirko Scholz ]
  * [fc32fcf] Fix stack overflow in Correlation.cpp. (Closes: #805534)

  [ Anton Gladky ]
  * [9e62e36] Disable building of manual_en.pdf. (Closes: #804586, #806871)
  * [4fb51fd] Respect all versions of GSL.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Dec 2015 00:07:21 +0100

qtiplot (0.9.8.9-10) unstable; urgency=medium

  [ Jonathan Wiltshire ]
  * Team upload.
  * [8629801] Fix FTBFS against alglib_3.9. (Closes: #787339).

  [ Anton Gladky ]
  * [b6d72a1] Set version dependency on alglib>=3.9.0
  * [0df7cba] Apply cme fix dpkg-control.
  * [bce90df] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Sun, 31 May 2015 18:35:43 +0200

qtiplot (0.9.8.9-9) unstable; urgency=low

  * Use dh_sip to set the right python-sip version.
  * Debian S-V 3.9.5, no changes.

 -- Scott Howard <showard@debian.org>  Tue, 29 Apr 2014 09:37:55 -0400

qtiplot (0.9.8.9-8) unstable; urgency=low

  * Fix FTBFS from new sip version (Closes: #728642, LP: #1243269)

 -- Scott Howard <showard@debian.org>  Sun, 17 Nov 2013 11:03:08 -0500

qtiplot (0.9.8.9-7) unstable; urgency=high

  * Team upload.
  * [f4c910d] Link boost_system  explicitly. (Closes: #722323)
  * [90606d7] Add texlive-lang-european to BD. Fix documentation generation.
  * [b3f2561] Update Standards-Version to 3.9.4. No changes.
  * [9530d73] Use canonical VCS.

 -- Anton Gladky <gladk@debian.org>  Tue, 10 Sep 2013 16:14:00 +0200

qtiplot (0.9.8.9-6) unstable; urgency=low

  * Fix bug were table columns could not be set (Closes: #707736)
    - debian/patches/set_col_values.patch

 -- Scott Howard <showard@debian.org>  Sat, 08 Jun 2013 02:21:57 -0400

qtiplot (0.9.8.9-5) unstable; urgency=low

  * Team upload, QA upload.
  * Build depend on texlive-latex-extra to fix documentation FTBFS with
    new TeX Live.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Jun 2013 00:01:51 +0100

qtiplot (0.9.8.9-4) unstable; urgency=low

  [ Anton Gladky ]
  * Team upload.
  * Adopt qtiplot to alglib3.
  * Remove obsolete DM-Upload flag.
  * Remove README.source.
  * Use DEP-5 for copyright file.


  [ Bart Martens ]
  * Update debian/watch.

 -- Anton Gladky <gladk@debian.org>  Thu, 16 May 2013 20:44:31 +0200

qtiplot (0.9.8.9-3) unstable; urgency=low

  * Include upstream minigzip.c since debian zlib package no longer
    ships a compatible example. (Closes: #708240)

 -- Scott Howard <showard@debian.org>  Wed, 15 May 2013 22:04:46 -0400

qtiplot (0.9.8.9-2) unstable; urgency=low

  * Merge to unstable from experimental.

 -- Scott Howard <showard@debian.org>  Mon, 06 May 2013 22:34:10 -0400

qtiplot (0.9.8.9-1) experimental; urgency=low

  * New upstream release

 -- Scott Howard <showard@debian.org>  Wed, 07 Nov 2012 11:00:54 -0500

qtiplot (0.9.8.8-5) unstable; urgency=low

  * B-D on libpng-dev as part of the libpng15 transition (Closes: #662485)

 -- Scott Howard <showard@debian.org>  Mon, 05 Mar 2012 17:37:13 -0500

qtiplot (0.9.8.8-4) unstable; urgency=low

  * Updated debian/patches-zlib/minizip.diff for new version of zlib1g-dev
    (Closes: #662635)

 -- Scott Howard <showard@debian.org>  Mon, 05 Mar 2012 16:27:26 -0500

qtiplot (0.9.8.8-3) unstable; urgency=low

  * Add missing include on GL/glu.h, -lGLU to fix FTBFS with qt>4.8
    and binutils-gold (LP: #925652)

 -- Scott Howard <showard@debian.org>  Thu, 02 Feb 2012 19:04:03 -0500

qtiplot (0.9.8.8-2) unstable; urgency=high

  * Updated debian/control description with new features.
  * Recommends qtiplot-doc
  * Switch to simple dh rules, added build-indep build-arch targets
    and bumped debian/compat to 9. Build flags updated (Closes: #653418)

 -- Scott Howard <showard@debian.org>  Thu, 29 Dec 2011 11:41:20 -0500

qtiplot (0.9.8.8-1) unstable; urgency=low

  * New upstream release (Closes: #638943, LP: #831813, Closes: #560429,
    Closes: #626916)
  * refreshed patches, removed 04_qwtplot3d_static.patch accepted
    upstream

 -- Scott Howard <showard@debian.org>  Sat, 15 Oct 2011 10:59:58 -0400

qtiplot (0.9.8.4-2) unstable; urgency=low

  * Fixes a crash on startup if not connected to the internet
    (Closes: #626915) debian/patches/crasher_without_internet.patch

 -- Scott Howard <showard@debian.org>  Thu, 26 May 2011 09:42:12 -0400

qtiplot (0.9.8.4-1) unstable; urgency=low

  * moved debian/build.conf into debian/patches/03_build_conf.patch
    to track changes to build.conf between releases. Updated
    debian/rules accordingly.
  * New upstream release. (Closes: #599450)
  * Refreshed patches.
  * debian/control B-D on libalglib-dev, libtamuanova-dev,
    libqtexengine-dev
  * debian/rules allows for parallel builds
  * Byte compile python modules with dh_python2, removed debian/*.post{rm,inst}
    dropped dependency on depricated python-central (Closes: #587669)
  * Added shared-mime-info xml data in debian/qtiplot.sharedmimeinfo
    (LP: #184307)
  * 04_qwtplot3d_static.patch added to build a modified static
    library of qwt3dplot
  * 05_link_gl2ps.patch added to use Debian gl2ps library.
  * Policy 3.9.2, no changes

 -- Scott Howard <showard@debian.org>  Sat, 07 May 2011 17:00:26 -0400

qtiplot (0.9.8.2-2) unstable; urgency=low

  * Drop dependency on sip4 packages, thanks to Alex Valavanis.
    (Closes: #609960)
  * Use qt-assistant-compat libraries (Closes: #582788)
    - debian/rules: don't compress *.adp files
  * Build against default python (Closes: #560852)
  * Added qtexengine and alglib support in debian/build.conf, did not
    add to debian/control or qtiplot/qtiplot.pro since it will be
    enabled in 0.9.8.4
  * New git-vcs in debian/control
  * Added myself (showard) to uploaders
  * Removed cleaning of *.ts translation source files

 -- Scott Howard <showard@debian.org>  Sat, 23 Apr 2011 12:26:30 -0400

qtiplot (0.9.8.2-1) unstable; urgency=low

  * New upstream release
  * Remove quilt dependency
  * Depend on liborigin2 (>=1:13092010)
  * Re-enable liborigin2 (Closes: #604819)
  * Added -lz to qtiplot.pro (Closes: #600736)
  * Add Dependency on libboost-thread-dev

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 05 Dec 2010 10:08:58 +0100

qtiplot (0.9.8-2) unstable; urgency=low

  * Bump standards version to 3.9.1
  * Add comments to patches
  * Removing accidental patch, debian-changes that prevents qtiplot from
    depending on python 2.6 (Closes: #594341) 

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 29 Sep 2010 21:59:36 +0200

qtiplot (0.9.8-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.0
  * Change python version to 2.6

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Jul 2010 16:29:05 +0200

qtiplot (0.9.7.14-1) unstable; urgency=low

  * New upstream release
  * Build QTeXEngine into program
  * Bump liborigin2 dependency to >=1:06042009+svn1724
  * Bump muparser dependency to 1.32

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 23 May 2010 10:17:19 +0200

qtiplot (0.9.7.13-1) UNRELEASED; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Minor fix to patch 01_build_system.diff
  * Add qwtplot3d to build.conf
  * Bump standards version to 3.8.4
  * Fix spelling errors in description
  * Add misc depends in qtiplot-doc
  * Remove patch 02_docbook_stylesheet and
    04_add_includes.diff
  * Rename 03_fix_qti_wordlist.txt_path to
    02_fix_paths.diff

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 28 Apr 2010 08:50:00 +0200

qtiplot (0.9.7.10+r1453-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New SVN version (Closes: #547273, #551008)
  * Add file build.conf
  * Remove dependency on libqwt-qt4-dev since it is static now
  * Change muparser version to 1.30
  * Add binary dependency on python-sip4 (>=4.9-1) (Closes: #552131, #551222)
  * Add Qwt copyright to copyright file
  * Change Vcs fields from collab-maint to debian-science

  [ Andreas Tille ]
  * debian/control:
    - Group maintenance in Debian Science team with permission of maintainer
    - Added myself as Uploaders
  * Debhelper 7
  * debian/qtiplot-doc.doc-base: Document: qtiplot-doc
  * make use of dh_install instead of make install and cleaning
    up afterwards
  * Provide examples

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2009 10:33:29 +0100

qtiplot (0.9.7.10-1) UNRELEASED; urgency=low

  * New upstream release
  * Static qwt library included. Both qwt and qwtplot3d will be removed
    when the Qtiplot version will be in sync with the upstream versions.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 24 Oct 2009 13:25:43 +0200

qtiplot (0.9.7.9-1) UNRELEASED; urgency=low

  * New upstream release
  * Add exclude 3rdparty/QTeXEngine/ to get-orig-source target
  * Remove patch 02_sip_fix, fixed in upstream

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 23 Sep 2009 06:38:34 +0200

qtiplot (0.9.7.8-1) unstable; urgency=low

  * New upstream release. (Closes: #504646, #527650, #506929, 
    #539001, #532480)

  [ Fathi Boudra ]
  * Remove myself from Uploaders field.

  [ Gudjon I. Gudjonsson ]
  * Fix the watch file
  * Add get-orig-source target
  * Remove patch 02_docbook_stylesheet.diff, not needed
  * Change dependency from liborigin-dev to liborigin2-dev
  * Remove dependency on qwtplot3d since it is statically linked in
    in this version
  * Add patch 02_sip_fix.diff with changes from upstream,
    fixes compiling.
  * Remove dh_desktop
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source
  * Add dependency on libpng12-dev
  * Remove patch 04_add_includes.diff. Fixed in upstream
  * Remove muparser and liborigin from copyright file
  * Add qwtplot3d to copyright file
  * Fix GPL versions in copyright file
  * Fix patch 03_fix_qti_wordlist.txt_path.diff (Closes: #475522)
  * Add rm manual/html/qtiplot.adp to clean target
  * Add doc-base file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 08 Sep 2009 08:47:51 +0200

qtiplot (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Remove qtiplot/translations/*.ts in clean rules.
  * Add patch 04_add_includes to include limits.h file.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 17 Aug 2008 19:43:31 +0200

qtiplot (0.9.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #481054, #485821)
  * Fix the clean target in rules.
  * Remove 99_reduce_warnings. Merged in upstream.
  * Add dependencies on libqt4-opengl-dev (Closes: #479886, #479520)
  * Install binary in rules file. Something is wrong in makefile.
  * Add a postinst script to compile .py files. (Closes: #471709)
  * Add patch 03_fix_qti_wordlist.txt_path
  * Add postrm script to remove .pyc files
  * Move .py(c) files from /etc to /usr/share/qtiplot
  * Add dependency on python-central (for py_compilefiles)
  * Bump standard version to 3.8.0. No changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 12 Jun 2008 08:57:17 +0200

qtiplot (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove 04_homepage_url patch. Merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Fri, 04 Apr 2008 15:11:55 +0200

qtiplot (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Fathi Boudra <fabo@debian.org>  Wed, 05 Mar 2008 11:20:08 +0100

qtiplot (0.9.3~rc3-1) unstable; urgency=low

  * New upstream release.
  * Refresh build system patch.
  * Add patches:
    * 02_docbook_stylesheet: set docbook to html stylesheet path properly.
    * 99_reduce_warnings: reduce spurious warnings during qtiplot build.
  * Remove translations path patch. Fixed upstream.
  * Bump liborigin build dependency version.
  * Add dblatex and docbook-utils build dependencies to generate html and pdf
    manual. Use debian/rules to install them instead of upstream build system.
  * Add QtiPlot manual in qtiplot-doc package. (Closes: #433654)
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Sat, 01 Mar 2008 14:04:58 +0100

qtiplot (0.9.3~rc2-2) unstable; urgency=low

  * Disable demo mode. (Closes: #461127)

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Jan 2008 21:47:14 +0100

qtiplot (0.9.3~rc2-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update my e-mail address.
  * Bump liborigin build dependency version.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Remove DM upload permission.
  * Remove qtiplot manpage. Merged upstream.
  * Update qtiplot.desktop:
    * Remove Encoding field.
    * Update qtiplot icon.
  * Refresh patches:
    * 01_build_system.
    * 02_translations_path.
    * 04_homepage_url.
  * Remove patches:
    * 05_importOPJ. Merged upstream.
    * 06_disable_showmaximized. Merged upstream.
    * 07_fix_ftbfs_qmin_qmax. Merged upstream.

  [ Gudjon I. Gudjonsson ]
  * Fix the icon name in menu file.

 -- Fathi Boudra <fabo@debian.org>  Tue, 15 Jan 2008 14:41:43 +0100

qtiplot (0.9-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Allow DM upload.

  [ Gudjon I. Gudjonsson ]
  * Add patch to fix FTBFS: qMax(qreal, double) on arm and mips architectures.
    (Closes: #447206)

 -- Fathi Boudra <fboudra@free.fr>  Tue, 13 Nov 2007 08:58:08 +0100

qtiplot (0.9-2) unstable; urgency=low

  * Install qtiplot manpage only in qtiplot package.
  * Handle nostrip build option.

 -- Fathi Boudra <fboudra@free.fr>  Fri, 05 Oct 2007 11:34:17 +0200

qtiplot (0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #431689)

  [ Fathi Boudra ]
  * Update build system and shared libraries patches. Merged.
  * Add patch to disable window show maximized. (Closes: #444814)

  [ Gudjon I. Gudjonsson ]
  * Add 05_importOPJ patch to fix a typo in importOPJ.cpp.
  * Add qtiplot man page.
  * Add stricter liborigin build-dependency.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 27 Sep 2007 10:43:11 +0200

qtiplot (0.9~rc3-1) unstable; urgency=low

  * New upstream release. (Closes: #431691, #432368)

  [ Fathi Boudra ]
  * Add patch to build against liborigin and muParser shared libraries.
  * Update control:
    * Add liborigin-dev and libmuparser-dev to build dependency.
    * Add python-qt4 dependency.
  * Update README.Debian about liborigin and muParser.
  * Switch to quilt patch system.

  [ Gudjon I. Gudjonsson ]
  * Add desktop file.
  * Add 04_hompage_url patch. (Closes: #431872)
  * Update rules:
    * Install desktop file.
    * Add dh_desktop call.
  * Update menu file to last Debian menu specification.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 28 Jul 2007 17:38:08 +0200

qtiplot (0.9~rc2-1) unstable; urgency=low

  * Initial release (Closes: #416176)
  * Add patch to fix QtiPlot build system and use Debian zlib shared library.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Mar 2007 12:06:27 +0200

